#ifndef _PLANDISPLAY_H
#define _PLANDISPLAY_H

#include<gvc.h> // for graph display

#include "hatpPlan.hh"
#include "hatpNode.hh"
#include "hatpStreams.hh"

const int NB_AGENTS_COLORS = 8; 
//const int colorsRED[NB_AGENTS_COLORS] =   {255,   1, 252, 159, 250, 162, 252, 255};
//const int colorsGREEN[NB_AGENTS_COLORS] = {255, 248, 204, 212, 205, 254, 205, 255};
//const int colorsBLUE[NB_AGENTS_COLORS] =  {  0, 251, 199, 249, 154,   3, 229, 255};

const int colorsRED[NB_AGENTS_COLORS] =   {255, 204, 204, 255, 217, 240, 255, 255};
const int colorsGREEN[NB_AGENTS_COLORS] = {255, 230, 255, 228, 204, 240, 204, 204};
const int colorsBLUE[NB_AGENTS_COLORS] =  {204, 255, 204, 204, 255, 240, 255, 204};


class planDisplay {

	public :

		planDisplay();
		~planDisplay();
		std::string createStreamImage(hatpPlan* currentPlan);
		std::string createTreeImage(hatpPlan* currentPlan);

};

#endif
